| vrnainverse

## Wiki

The master copies of EMBOSS documentation are available at http://emboss.open-bio.org/wiki/Appdocs on the EMBOSS Wiki.

Please help by correcting and extending the Wiki pages.

## Function

RNA sequences matching a structure

## Description

This is a port of the Vienna RNA package program RNAinverse.

## Algorithm

See the original documentation for the Vienna RNA package http://www.tbi.univie.ac.at/~ivo/RNA/

## Usage

Here is a sample session with vrnainverse

    % vrnainverse -repeats 3
    RNA sequences matching a structure
    Vienna RNA structures file: rna3.fold
    Vienna RNAfold output file [rna3.vrnainverse]:

Go to the input files for this example
Go to the output files for this example

Example 2

    % vrnainverse -repeats 3 -succeed
    RNA sequences matching a structure
    Vienna RNA structures file: rna3.fold
    Vienna RNAfold output file [rna3.vrnainverse]:

Go to the output files for this example

## Command line arguments

    RNA sequences matching a structure
    Version: EMBOSS:6.2.0

       Standard (Mandatory) qualifiers:
      [-structuresfile]    infile     Vienna RNA structures file
      [-outfile]           outfile    [*.vrnainverse] Vienna RNAfold output file

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers:
       -sequence           sequence   Nucleotide sequence filename and optional
                                      format, or reference (input USA)
       -paramfile          infile     Vienna RNA parameters file (optional)
       -temperature        float      [37.0] Temperature (Any numeric value)
       -[no]gu             boolean    [Y] Allow GU pairs
       -[no]closegu        boolean    [Y] Allow GU pairs at end of helices
       -[no]lp             boolean    [Y] Allow lonely pairs
       -[no]convert        boolean    [Y] Convert T to U
       -nsbases            string     Non-standard bases (Any string)
       -[no]tetraloop      boolean    [Y] Stabilizing energies for tetra-loops
       -energy             menu       [0] Rarely used option to fold sequences
                                      from the ABCD... alphabet (Values: 0 (BP); 1
                                      (Any with GC); 2 (Any with AU parameters))
       -dangles            menu       [1] Method (Values: 0 (Ignore); 1 (Only
                                      unpaired bases for just one dangling end); 2
                                      (Always use dangling energies); 3 (Allow
                                      coaxial stacking of adjacent helices))
       -folding            menu       [m] Method (Values: m (Minimum energy); pv
                                      (Partition function); mp (Both))
       -alphabet           string     [AUGC] Find sequences using only these bases
                                      (Any string)
       -final              float      [0.0] Stopping value (Any numeric value)
       -repeats            integer    [0] Number of times to search for the same
                                      structure (Integer 0 or more)
       -succeed            boolean    [N] The original RNAinverse uses a negative
                                      repeat for this
       -showfails          boolean    [N] Show information for unsuccessful
                                      searches

       Associated qualifiers:

       "-sequence" associated qualifiers
       -sbegin             integer    Start of the sequence to be used
       -send               integer    End of the sequence to be used
       -sreverse           boolean    Reverse (if DNA)
       -sask               boolean    Ask for begin/end/reverse
       -snucleotide        boolean    Sequence is nucleotide
       -sprotein           boolean    Sequence is protein
       -slower             boolean    Make lower case
       -supper             boolean    Make upper case
       -sformat            string     Input sequence format
       -sdbname            string     Database name
       -sid                string     Entryname
       -ufo                string     UFO features
       -fformat            string     Features format
       -fopenfile          string     Features file name

       "-outfile" associated qualifiers
       -odirectory2        string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options and exit. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages
       -version            boolean    Report version number and exit

Qualifier | Type | Description | Allowed values | Default
--- | --- | --- | --- | ---
Standard (Mandatory) qualifiers
[-structuresfile] (Parameter 1) | infile | Vienna RNA structures file | Input file | Required
[-outfile] (Parameter 2) | outfile | Vienna RNAfold output file | Output file | <*>.vrnainverse
Additional (Optional) qualifiers
(none)
Advanced (Unprompted) qualifiers
-sequence | sequence | Nucleotide sequence filename and optional format, or reference (input USA) | Readable sequence | Required
-paramfile | infile | Vienna RNA parameters file (optional) | Input file | Required
-temperature | float | Temperature | Any numeric value | 37.0
-[no]gu | boolean | Allow GU pairs | Boolean value Yes/No | Yes
-[no]closegu | boolean | Allow GU pairs at end of helices | Boolean value Yes/No | Yes
-[no]lp | boolean | Allow lonely pairs | Boolean value Yes/No | Yes
-[no]convert | boolean | Convert T to U | Boolean value Yes/No | Yes
-nsbases | string | Non-standard bases | Any string |
-[no]tetraloop | boolean | Stabilizing energies for tetra-loops | Boolean value Yes/No | Yes
-energy | list | Rarely used option to fold sequences from the ABCD... alphabet |
0 | (BP)
1 | (Any with GC)
2 | (Any with AU parameters)
| 0
-dangles | list | Method |
0 | (Ignore)
1 | (Only unpaired bases for just one dangling end)
2 | (Always use dangling energies)
3 | (Allow coaxial stacking of adjacent helices)
| 1
-folding | list | Method |
m | (Minimum energy)
pv | (Partition function)
mp | (Both)
| m
-alphabet | string | Find sequences using only these bases | Any string | AUGC
-final | float | Stopping value | Any numeric value | 0.0
-repeats | integer | Number of times to search for the same structure | Integer 0 or more | 0
-succeed | boolean | The original RNAinverse uses a negative repeat for this | Boolean value Yes/No | No
-showfails | boolean | Show information for unsuccessful searches | Boolean value Yes/No | No
Associated qualifiers
"-sequence" associated sequence qualifiers
-sbegin | integer | Start of the sequence to be used | Any integer value | 0
-send | integer | End of the sequence to be used | Any integer value | 0
-sreverse | boolean | Reverse (if DNA) | Boolean value Yes/No | N
-sask | boolean | Ask for begin/end/reverse | Boolean value Yes/No | N
-snucleotide | boolean | Sequence is nucleotide | Boolean value Yes/No | N
-sprotein | boolean | Sequence is protein | Boolean value Yes/No | N
-slower | boolean | Make lower case | Boolean value Yes/No | N
-supper | boolean | Make upper case | Boolean value Yes/No | N
-sformat | string | Input sequence format | Any string |
-sdbname | string | Database name | Any string |
-sid | string | Entryname | Any string |
-ufo | string | UFO features | Any string |
-fformat | string | Features format | Any string |
-fopenfile | string | Features file name | Any string |
"-outfile" associated outfile qualifiers
-odirectory2 -odirectory_outfile | string | Output directory | Any string |
General qualifiers
-auto | boolean | Turn off prompts | Boolean value Yes/No | N
-stdout | boolean | Write first file to standard output | Boolean value Yes/No | N
-filter | boolean | Read first file from standard input, write first file to standard output | Boolean value Yes/No | N
-options | boolean | Prompt for standard and additional values | Boolean value Yes/No | N
-debug | boolean | Write debug output to program.dbg | Boolean value Yes/No | N
-verbose | boolean | Report some/full command line options | Boolean value Yes/No | Y
-help | boolean | Report command line options and exit. More information on associated and general qualifiers can be found with -help -verbose | Boolean value Yes/No | N
-warning | boolean | Report warnings | Boolean value Yes/No | Y
-error | boolean | Report errors | Boolean value Yes/No | Y
-fatal | boolean | Report fatal errors | Boolean value Yes/No | Y
-die | boolean | Report dying program messages | Boolean value Yes/No | Y
-version | boolean | Report version number and exit | Boolean value Yes/No | N

## Input file format

vrnainverse reads any normal sequence USAs.

### Input files for usage example

### File: rna3.fold

    (((((((..((((........)))).(((((.......))))).....(((((.......))))))))))))....

## Output file format

vrnainverse outputs a graph to the specified graphics device. outputs a report format file. The default format is ...

### Output files for usage example

### File: rna3.vrnainverse

    UGUUUUAUUGGUCUCGUCGCUGACCUGGGUGUAUCGAUCAUCUUGUACGGGCUCCAAGCGGGUUCUAGGACACACU   28   d = 1.000000
    UCCUUUAUCGCAGAUACAGCCCUGCCCAUGUUAGCCACACAUGCGAUUCACCAUUCCGACUGGUGUAGAGGGUGCG   27
    GUUAUUUAUGCGGCAGGACCACCGCGGAGUAGUUCUUAUAUUCACACACUGGUAUUUGCGACCGGGAGUAGCGGCC   19

### Output files for usage example 2

### File: rna3.vrnainverse

    UAUGUGUGUCUGCUUUAACCCGCAGCAACCGGGAUCGACGGUUAUAUGUUUGAUUAACGUUCAAAGCACAUGGUGA   25
    GUUGUGAAAGCACAACCUAACGUGCCCUGUGAUCGAUACAUAGUAGUAUGCAAACCACCCUUGUAUCGCGACCUGC   31
    GUGAAUUGAGGCGACGAGGUAUGCUAGGGGCCCAACAAGCCCCAACUCCCGCGGCCCUUACGUGGAGUUCAUAUUA   21

## Data files

For details of Vienna RNA file formats, see the original documentation http://www.tbi.univie.ac.at/~ivo/RNA/

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
einverted | Finds inverted repeats in nucleotide sequences
vrnaalifold | RNA alignment folding
vrnaalifoldpf | RNA alignment folding with partition
vrnacofold | RNA cofolding
vrnacofoldconc | RNA cofolding with concentrations
vrnacofoldpf | RNA cofolding with partitioning
vrnadistance | RNA distances
vrnaduplex | RNA duplex calculation
vrnaeval | RNA eval
vrnaevalpair | RNA eval with cofold
vrnafold | Calculate secondary structures of RNAs
vrnafoldpf | Secondary structures of RNAs with partition
vrnaheat | RNA melting
vrnalfold | Calculate locally stable secondary structures of RNAs
vrnaplot | Plot vrnafold output
vrnasubopt | Calculate RNA suboptimals

## Author(s)

This program is an EMBOSS conversion of a program written by Ivo Hofacker as part of his VIENNA package.

Although we take every care to ensure that the results of the EMBOSS version are identical to those from the original package, we recommend that you check your inputs give the same results in both versions before publication.

Please report all bugs in the EMBOSS version to the EMBOSS bug team, not to the original author.

## History

Converted (October 2005) by Alan Bleasby

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments